API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/documents/{id}/shares

POST/v1/dms/documents/{id}/shares

Create a share for a DMS document

Request Body

NameTypBeschreibung
shareTypeerforderlichstring
sharedWithUserIdstring
sharedWithRoleIdstring
permissionstring
expiresAtstring<date-time>
maxDownloadsinteger
allowDownloadboolean
passwordstring
messagestring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/documents/{id}/shares \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "shareType": "INTERNAL",
  "sharedWithUserId": "string",
  "sharedWithRoleId": "string",
  "permission": "VIEW",
  "expiresAt": "string",
  "maxDownloads": 0,
  "allowDownload": true,
  "password": "string",
  "message": "string"
}'
const result = await cm.dms.post({
  "shareType": "INTERNAL",
  "sharedWithUserId": "string",
  "sharedWithRoleId": "string",
  "permission": "VIEW",
  "expiresAt": "string",
  "maxDownloads": 0,
  "allowDownload": true,
  "password": "string",
  "message": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche